Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam_optics.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam_optics.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2015, Regents of the University of Colorado
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,8 +26,8 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History:
 ! May 2015:  Dustin Swales - Initial version
-! 
+
 ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
 module mod_quickbeam_optics
@@ -251,5 +251,5 @@
                          ! alternative is to comment out above two lines and use the following block
                          ! MG Mie approach - adjust density of sphere with D = D_characteristic to match particle density
-                         !
+
                          ! rcfg%rho_eff(tp,1:ns,iRe_type) = (6/pi)*sd%apm(tp)*(Di*1E-6)**(sd%bpm(tp)-3)   !MG Mie approach
                          
@@ -354,16 +354,16 @@
     ! Purpose:
     !   Calculates Effective Radius (1/2 distribution 3rd moment / 2nd moment). 
-    !
+
     !   For some distribution types, the total number concentration (per kg), Np
     !   may be optionally specified.   Should be set to zero, otherwise.
-    !
+
     !   Roj Marchand July 2010
-    !
+
     ! Inputs:
-    !
+
     !   [Q]        hydrometeor mixing ratio (g/kg)  ! not needed for some distribution types
     !   [Np]       Optional Total number concentration (per kg).  0 = use defaults (p1, p2, p3)
     !   [rho_a]    ambient air density (kg m^-3)   
-    !
+
     !   Distribution parameters as per quickbeam documentation.
     !   [dtype]    distribution type
@@ -371,13 +371,13 @@
     !   [bmp]      b params for mass 
     !   [p1],[p2],[p3]  distribution parameters
-    !
+
     ! Outputs:
     !   [Re]       Effective radius, 1/2 the 3rd moment/2nd moment (um)
-    !
+
     ! Created:
     !   July 2010  Roj Marchand
     ! Modified:
     !   12/18/14  Dustin Swales: Define type REALs as double precision (dustin.swales@noaa.gov)
-    !
+
     ! ##############################################################################################
     ! ##############################################################################################
@@ -549,23 +549,23 @@
     ! Purpose:
     !   Create a discrete drop size distribution
-    !
+
     !   Starting with Quickbeam V3, this routine now allows input of 
     !   both effective radius (Re) and total number concentration (Nt)
     !   Roj Marchand July 2010
-    !
+
     !   The version in Quickbeam v.104 was modified to allow Re but not Nt 
     !   This is a significantly modified form for the version      
-    !
+
     !   Originally Part of QuickBeam v1.03 by John Haynes
     !   http://reef.atmos.colostate.edu/haynes/radarsim
-    !
+
     ! Inputs:
-    !
+
     !   [Q]        hydrometeor mixing ratio (g/kg)
     !   [Re]       Optional Effective Radius (microns).  0 = use defaults (p1, p2, p3)
-    !
+
     !   [D]        array of discrete drop sizes (um) where we desire to know the number concentraiton n(D).
     !   [nsizes]   number of elements of [D]
-    !
+
     !   [dtype]    distribution type
     !   [rho_a]    ambient air density (kg m^-3)
@@ -575,16 +575,16 @@
     !   [rho_c]    alternate constant density (kg m^-3)
     !   [p1],[p2],[p3]  distribution parameters
-    !
+
     ! Input/Output:
     !   [apm]      a parameter for mass (kg m^[-bpm])
     !   [bmp]      b params for mass
-    !
+
     ! Outputs:
     !   [N]        discrete concentrations (cm^-3 um^-1)
     !              or, for monodisperse, a constant (1/cm^3)
-    !
+
     ! Requires:
     !   function infind
-    !
+
     ! Created:
     !   11/28/05  John Haynes (haynes@atmos.colostate.edu)
@@ -868,5 +868,5 @@
     !   Part of QuickBeam v1.03 by John Haynes
     !   http://reef.atmos.colostate.edu/haynes/radarsim
-    !
+
     ! Inputs:
     !   [freq]      radar frequency (GHz)
@@ -881,10 +881,10 @@
     !   [qs]        ... efficiencies; otherwise set to -1
     !   [rho_e]     medium effective density (kg m^-3) (-1 = pure)
-    !
+
     ! Outputs:
     !   [z_eff]     unattenuated effective reflectivity factor (mm^6/m^3)
     !   [z_ray]     reflectivity factor, Rayleigh only (mm^6/m^3)
     !   [kr]        attenuation coefficient (db km^-1)
-    !
+
     ! Created:
     !   11/28/05  John Haynes (haynes@atmos.colostate.edu)
@@ -1046,5 +1046,5 @@
     ! Purpose:
     !   Compute 2-way gaseous attenuation through a volume in microwave
-    !
+
     ! Inputs:
     !   [PRES_mb]   pressure (mb) (hPa)
@@ -1052,11 +1052,11 @@
     !   [RH]        relative humidity (%)
     !   [f]         frequency (GHz), < 300 GHz
-    !
+
     ! Returns:
     !   2-way gaseous attenuation (dB/km)
-    !
+
     ! Reference:
     !   Uses method of Liebe (1985)
-    !
+
     ! Created:
     !   12/09/05  John Haynes (haynes@atmos.colostate.edu)
@@ -1234,8 +1234,8 @@
     ! ##############################################################################################
     ! Purpose:
-    !
+
     !   Initialize variables used by the radar simulator.
     !   Part of QuickBeam v3.0 by John Haynes and Roj Marchand
-    !   
+
     ! Inputs:  
     !   NAME            SIZE        DESCRIPTION
@@ -1244,5 +1244,5 @@
     ! Outputs:
     !   [sd]                        Structure that define hydrometeor types
-    !
+
     ! Local variables:
     !   [n_hydro]       (1)         Number of hydrometeor types
@@ -1265,5 +1265,5 @@
     ! ####################################################################################
     ! NOTES on HCLASS variables
-    !
+
     ! TYPE - Set to
     ! 1 for modified gamma distribution,
@@ -1272,5 +1272,5 @@
     ! 4 for monodisperse distribution,
     ! 5 for lognormal distribution.
-	!
+
     ! PHASE - Set to 0 for liquid, 1 for ice.
     ! DMIN  - The minimum drop size for this class (micron), ignored for monodisperse.
@@ -1286,8 +1286,8 @@
     ! BPM - The beta_m coefficient in equation (1), see section 4.1.
     ! RHO - Hydrometeor density (kg m-3 ).
-    ! 
+
     ! P1, P2, P3 - are default distribution parameters that depend on the type
     ! of distribution (see quickmbeam documentation for more information)
-    !
+
     ! Modified Gamma (must set P3 and one of P1 or P2)
     ! P1 - Set to the total particle number concentration Nt /rho_a (kg-1 ), where
@@ -1295,15 +1295,15 @@
     ! P2 - Set to the particle mean diameter D (micron).
     ! P3 - Set to the distribution width nu.
-    !
+
     ! Exponetial (set one of)
     ! P1 - Set to a constant intercept parameter N0 (m-4).
     ! P2 - Set to a constant lambda (micron-1).
-    !
+
     ! Power Law
     ! P1 - Set this to the value of a constant power law parameter br
-    !
+
     ! Monodisperse
     ! P1 - Set to a constant diameter D0 (micron) = Re.
-    !
+
     ! Log-normal (must set P3 and one of P1 or P2)
     ! P1 - Set to the total particle number concentration Nt /rho_a (kg-1 )
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/scops.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/scops.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/scops.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2009, British Crown Copyright, the Met Office
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,5 +26,5 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History
 ! May 2015 - D. Swales - Modified for COSPv2.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cpl_mod.F90	(revision 5099)
@@ -1,14 +1,14 @@
-!
+
 MODULE cpl_mod
-!
+
 ! This module excahanges and transforms all fields that should be recieved or sent to 
 ! coupler. The transformation of the fields are done from the grid 1D-array in phylmd 
 ! to the regular 2D grid accepted by the coupler. Cumulation of the fields for each 
 ! timestep is done in here. 
-!
+
 ! Each type of surface that recevie fields from the coupler have a subroutine named 
 ! cpl_receive_XXX_fields and each surface that have fields to be sent to the coupler 
 ! have a subroutine named cpl_send_XXX_fields.
-!
+
 !*************************************************************************************
 
@@ -129,7 +129,7 @@
   
 CONTAINS
-!
+
 !************************************************************************************
-!
+
   SUBROUTINE cpl_init(dtime, rlon, rlat)
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_ocn_day
@@ -178,5 +178,5 @@
 !*************************************************************************************
 ! Calculate coupling period
-!
+
 !*************************************************************************************
      
@@ -191,5 +191,5 @@
 !*************************************************************************************
 ! Allocate variables
-!
+
 !*************************************************************************************
     error = 0
@@ -324,5 +324,5 @@
 !*************************************************************************************
 ! Initialize the allocated varaibles
-!
+
 !*************************************************************************************
     DO ig = 1, klon
@@ -332,5 +332,5 @@
 !*************************************************************************************
 ! Initialize coupling
-!
+
 !*************************************************************************************
     idtime = INT(dtime)
@@ -341,5 +341,5 @@
 !*************************************************************************************
 ! initialize NetCDF output
-!
+
 !*************************************************************************************
     IF (is_sequential) THEN
@@ -390,5 +390,5 @@
 !*************************************************************************************
 ! compatibility test
-!
+
 !*************************************************************************************
     IF (carbon_cycle_cpl .AND. version_ocean=='opa8') THEN
@@ -398,9 +398,7 @@
 
   END SUBROUTINE cpl_init
-  
-!
-!*************************************************************************************
-!
- 
+
+!*************************************************************************************
+
   SUBROUTINE cpl_receive_frac(itime, dtime, pctsrf, is_modified)
 ! This subroutine receives from coupler for both ocean and seaice
@@ -442,5 +440,5 @@
 ! Start calculation
 ! Get fields from coupler
-!
+
 !*************************************************************************************
 
@@ -510,5 +508,5 @@
 !  Transform seaice fraction (read_sic : ocean-seaice mask) into global 
 !  fraction (pctsrf : ocean-seaice-land-landice mask)
-!
+
 !*************************************************************************************
        CALL cpl2gath(read_sic, read_sic1D, klon, unity)
@@ -530,15 +528,13 @@
   END SUBROUTINE cpl_receive_frac
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_receive_ocean_fields(knon, knindex, tsurf_new, u0_new, &
        v0_new, sss)
-!
+
 ! This routine returns the field for the ocean that has been read from the coupler
 ! (done earlier with cpl_receive_frac). The field is the temperature.
 ! The temperature is transformed into 1D array with valid points from index 1 to knon.
-!
+
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_ocn_day
     USE indice_sol_mod
@@ -568,5 +564,5 @@
 !*************************************************************************************
 ! Transform read_sst into compressed 1D variable tsurf_new
-!
+
 !*************************************************************************************
     CALL cpl2gath(read_sst, tsurf_new, knon, knindex)
@@ -579,5 +575,5 @@
 ! Transform read_co2 into uncompressed 1D variable fco2_ocn_day added directly in 
 ! the module carbon_cycle_mod
-!
+
 !*************************************************************************************
     IF (carbon_cycle_cpl) THEN
@@ -591,5 +587,5 @@
 ! The fields received from the coupler have to be weighted with the fraction of ocean 
 ! in relation to the total sea-ice+ocean
-!
+
 !*************************************************************************************
     DO i=1, knon
@@ -599,16 +595,13 @@
   END SUBROUTINE cpl_receive_ocean_fields
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_receive_seaice_fields(knon, knindex, &
        tsurf_new, alb_new, u0_new, v0_new)
-!
+
 ! This routine returns the fields for the seaice that have been read from the coupler
 ! (done earlier with cpl_receive_frac). These fields are the temperature and 
 ! albedo at sea ice surface and fraction of sea ice.
 ! The fields are transformed into 1D arrays with valid points from index 1 to knon. 
-!
 
 ! Input arguments
@@ -631,5 +624,5 @@
 !*************************************************************************************
 ! Transform fields read from coupler from 2D into compressed 1D variables
-!
+
 !*************************************************************************************
     CALL cpl2gath(read_sit, tsurf_new, knon, knindex)
@@ -642,5 +635,5 @@
 ! The fields received from the coupler have to be weighted with the sea-ice 
 ! concentration (in relation to the total sea-ice + ocean).
-!
+
 !*************************************************************************************
     DO i= 1, knon
@@ -651,7 +644,5 @@
   END SUBROUTINE cpl_receive_seaice_fields
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_send_ocean_fields(itime, knon, knindex, &
@@ -715,5 +706,5 @@
 ! Start calculation
 ! The ocean points are saved with second array index=1
-!
+
 !*************************************************************************************
     cpl_index = 1
@@ -721,5 +712,5 @@
 !*************************************************************************************
 ! Reset fields to zero in the beginning of a new coupling period 
-!
+
 !*************************************************************************************
     IF (MOD(itime, nexca) == 1) THEN
@@ -751,5 +742,5 @@
 !*************************************************************************************
 ! Cumulate at each time-step
-!
+
 !*************************************************************************************    
     DO ig = 1, knon
@@ -802,5 +793,5 @@
 ! fields are transformed to the 2D grid. 
 ! No sending to the coupler (it is done from cpl_send_seaice_fields).
-!
+
 !*************************************************************************************
     IF (MOD(itime, nexca) == 0) THEN
@@ -915,7 +906,5 @@
   END SUBROUTINE cpl_send_ocean_fields
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_send_seaice_fields(itime, dtime, knon, knindex, &
@@ -924,10 +913,10 @@
        precip_rain, precip_snow, evap, tsurf, fder, albsol, taux, tauy,&
        sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol)
-!
+
 ! This subroutine cumulates some fields for each time-step during a coupling 
 ! period. At last time-step in a coupling period the fields are transformed to the 
 ! grid accepted by the coupler. All fields for all types of surfaces are sent to
 ! the coupler.
-!
+
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
     USE indice_sol_mod
@@ -962,5 +951,5 @@
 ! Start calulation
 ! The sea-ice points are saved with second array index=2
-!
+
 !*************************************************************************************
     cpl_index = 2
@@ -968,5 +957,5 @@
 !*************************************************************************************
 ! Reset fields to zero in the beginning of a new coupling period 
-!
+
 !*************************************************************************************
     IF (MOD(itime, nexca) == 1) THEN
@@ -988,5 +977,5 @@
 !*************************************************************************************
 ! Cumulate at each time-step
-!
+
 !*************************************************************************************    
     DO ig = 1, knon
@@ -1022,5 +1011,5 @@
 ! If the time-step corresponds to the end of coupling period the 
 ! fields are transformed to the 2D grid and all fields are sent to coupler.
-!
+
 !*************************************************************************************
     IF (MOD(itime, nexca) == 0) THEN
@@ -1119,15 +1108,13 @@
   END SUBROUTINE cpl_send_seaice_fields
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_send_land_fields(itime, knon, knindex, rriv_in, rcoa_in)
-!
+
 ! This subroutine cumulates some fields for each time-step during a coupling 
 ! period. At last time-step in a coupling period the fields are transformed to the 
 ! grid accepted by the coupler. No sending to the coupler will be done from here 
 ! (it is done in cpl_send_seaice_fields).
-!
+
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
 
@@ -1148,5 +1135,5 @@
 ! Rearrange fields in 2D variables 
 ! First initialize to zero to avoid unvalid points causing problems
-!
+
 !*************************************************************************************
 !$OMP MASTER
@@ -1159,5 +1146,5 @@
 !*************************************************************************************
 ! Reset cumulated fields to zero in the beginning of a new coupling period 
-!
+
 !*************************************************************************************
     IF (MOD(itime, nexca) == 1) THEN
@@ -1170,5 +1157,5 @@
 !*************************************************************************************
 ! Cumulate : Following fields should be cumulated at each time-step
-!
+
 !*************************************************************************************    
 !$OMP MASTER
@@ -1179,7 +1166,5 @@
   END SUBROUTINE cpl_send_land_fields
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_send_landice_fields(itime, knon, knindex, rlic_in, rlic_in_frac)
@@ -1187,5 +1172,4 @@
 ! during a coupling period. This routine will not send to coupler. Sending 
 ! will be done in cpl_send_seaice_fields.
-!
 
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
@@ -1208,5 +1192,5 @@
 ! Rearrange field in a 2D variable 
 ! First initialize to zero to avoid unvalid points causing problems
-!
+
 !*************************************************************************************
 !$OMP MASTER
@@ -1217,5 +1201,5 @@
 !*************************************************************************************
 ! Reset field to zero in the beginning of a new coupling period 
-!
+
 !*************************************************************************************
     IF (MOD(itime, nexca) == 1) THEN
@@ -1227,5 +1211,5 @@
 !*************************************************************************************
 ! Cumulate : Melting ice should be cumulated at each time-step
-!
+
 !*************************************************************************************    
 !$OMP MASTER
@@ -1235,7 +1219,5 @@
   END SUBROUTINE cpl_send_landice_fields
 
-!
-!*************************************************************************************
-!
+!*************************************************************************************
 
   SUBROUTINE cpl_send_all(itime, dtime, pctsrf, lafin, rlon, rlat)
@@ -1243,5 +1225,5 @@
 ! This subroutine should be executed after calculations by the last surface(sea-ice),
 ! all calculations at the different surfaces have to be done before. 
-!    
+
     USE surface_data
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
@@ -1253,5 +1235,5 @@
 
 ! Some includes
-!    
+
 ! Input arguments
 !*************************************************************************************
@@ -1295,5 +1277,5 @@
 ! All fields are stored in a table tab_flds(:,:,:)
 ! First store the fields which are already on the right format
-!
+
 !*************************************************************************************
 !$OMP MASTER
@@ -1329,5 +1311,5 @@
 !*************************************************************************************
 ! Transform the fraction of sub-surfaces from 1D to 2D array
-!
+
 !*************************************************************************************
     pctsrf2D(:,:,:) = 0.
@@ -1342,5 +1324,5 @@
 ! Calculate the average calving per latitude
 ! Store calving in tab_flds(:,:,19)
-! 
+
 !*************************************************************************************      
     IF (is_omp_root) THEN
@@ -1403,5 +1385,5 @@
 ! Calculate total flux for snow, rain and wind with weighted addition using the 
 ! fractions of ocean and seaice.
-!
+
 !*************************************************************************************    
        ! fraction oce+seaice
@@ -1507,5 +1489,5 @@
 !*************************************************************************************
 ! NetCDF output of all fields just before sending to coupler.
-!
+
 !*************************************************************************************
     IF (is_sequential) THEN
@@ -1517,5 +1499,5 @@
 !*************************************************************************************
 ! Send the table of all fields
-!
+
 !*************************************************************************************
     time_sec=(itime-1)*dtime
@@ -1528,5 +1510,5 @@
 !*************************************************************************************
 ! Finish with some dellocate
-!
+
 !*************************************************************************************  
     sum_error=0
@@ -1555,21 +1537,21 @@
     
   END SUBROUTINE cpl_send_all
-!
-!*************************************************************************************
-!
+
+!*************************************************************************************
+
   SUBROUTINE cpl2gath(champ_in, champ_out, knon, knindex)
   USE mod_phys_lmdz_para
 ! Cette routine transforme un champs de la grille 2D recu du coupleur sur la grille 
 ! 'gathered' (la grille physiq comprime).
-!
-! 
+
+
 ! input:         
 !   champ_in     champ sur la grille 2D
 !   knon         nombre de points dans le domaine a traiter
 !   knindex      index des points de la surface a traiter
-!
+
 ! output:
 !   champ_out    champ sur la grille 'gatherd'
-!
+
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
 
@@ -1588,6 +1570,4 @@
 
 !*************************************************************************************
-!
-    
 
 ! Transform from 2 dimensions (nbp_lon,jj_nb) to 1 dimension (klon)
@@ -1605,20 +1585,20 @@
 
   END SUBROUTINE cpl2gath
-!
-!*************************************************************************************
-!
+
+!*************************************************************************************
+
   SUBROUTINE gath2cpl(champ_in, champ_out, knon, knindex)
   USE mod_phys_lmdz_para
 ! Cette routine ecrit un champ 'gathered' sur la grille 2D pour le passer
 ! au coupleur.
-!
+
 ! input:         
 !   champ_in     champ sur la grille gathere        
 !   knon         nombre de points dans le domaine a traiter
 !   knindex      index des points de la surface a traiter
-!
+
 ! output:
 !   champ_out    champ sur la grille 2D
-!
+
     USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
     
@@ -1658,7 +1638,7 @@
     
   END SUBROUTINE gath2cpl
-!
-!*************************************************************************************
-!
+
+!*************************************************************************************
+
 END MODULE cpl_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5099)
@@ -31,17 +31,17 @@
     IF (is_omp_master) THEN
 
-      IF (NF90_OPEN("ocean_fraction.nc", NF90_NOWRITE, file_id)==NF90_NOERR) THEN
+      IF (NF90_OPEN("ocean_fraction.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("frac_ocean",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="frac_ocean_read")
         iret=NF90_CLOSE(file_id)
-      ELSE IF (NF90_OPEN("land_water_0.05.nc", NF90_NOWRITE, file_id)==NF90_NOERR) THEN
+      ELSE IF (NF90_OPEN("land_water_0.05.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("land_water",name="land_water_0.05",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="land_water")
         iret=NF90_CLOSE(file_id)
-      ELSE IF (NF90_OPEN("land_water_0.25.nc", NF90_NOWRITE, file_id)==NF90_NOERR) THEN
+      ELSE IF (NF90_OPEN("land_water_0.25.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("land_water",name="land_water_0.25",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="land_water")
         iret=NF90_CLOSE(file_id)
-      ELSE IF (NF90_OPEN("land_water_0.50.nc", NF90_NOWRITE, file_id)==NF90_NOERR) THEN
+      ELSE IF (NF90_OPEN("land_water_0.50.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("land_water",name="land_water_0.50",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="land_water")
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5099)
@@ -227,7 +227,7 @@
   END SUBROUTINE time_interpolation
   !-------------------------------------------------------------------------------
-  !
+
   FUNCTION year_len(y,cal_in)
-  !
+
   !-------------------------------------------------------------------------------
     USE ioipsl, ONLY : ioget_calendar,ioconf_calendar,lock_calendar,ioget_year_len
@@ -255,12 +255,12 @@
   
   END FUNCTION year_len
-  !
-  !-------------------------------------------------------------------------------
-  
-  
-  !-------------------------------------------------------------------------------
-  !
+
+  !-------------------------------------------------------------------------------
+  
+  
+  !-------------------------------------------------------------------------------
+
   FUNCTION mid_months(y,cal_in,nm)
-  !
+
   !-------------------------------------------------------------------------------
     USE ioipsl, ONLY : ioget_calendar,ioconf_calendar,lock_calendar,ioget_mon_len
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv30param.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv30param.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv30param.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 !------------------------------------------------------------
 ! Parameters for convectL, iflag_con=30:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inip.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inip.F90	(revision 5099)
@@ -8,5 +8,5 @@
   ! modified by :                                                      *
   ! *******************************************************************
-!
+
 !----------------------------------------------
 !  INPUT (from Common YOMCST2 in "YOMCST2.h") : 
@@ -17,15 +17,15 @@
 ! Fmax
 ! scut
-!
+
 !----------------------------------------------
 !  INPUT/OUTPUT (from and to Common YOMCST2 in "YOMCST2.h") : 
 ! qqa1
 ! qqa2
-!
+
 !----------------------------------------------
 !  OUTPUT (to Common YOMCST2 in "YOMCST2.h") :
 ! Qcoef1max
 ! Qcoef2max
-!
+
 !----------------------------------------------
 
